[B011] 医药文献检索

post
https://connect.zhihuiya.com/synapse/paper/search
在体验中心中试用

通过靶点、机构、适应症等字段,获取相关文献

请求参数

此 API 接口支持的参数列表

名称类型示例描述
offset
integer<int64>-
偏移量,默认0
limit
integer<int64>10
返回条数,默认10。 offset + limit <= 10000, limit最大设置1000
keyword
object{ "value": [ "PD-1" ], "condition": "OR" }
关键词,condition默认为OR,支持AND。
condition
stringOR
逻辑运算符,枚举值:AND、OR, 大小写敏感。
value
array[ "keytruda" ]
值列表
drug
object{ "value": [ "2838b95ade834c96b17ac8bcd2b68c27" ], "condition": "OR" }
试验药,condition默认为OR,支持AND。
condition
stringOR
逻辑运算符,枚举值:AND、OR, 大小写敏感。
value
array[ "945fa31ebe9e41ae912e493aa3324576" ]
值列表
target
object{ "value": [ "d9461748c4c54a0b84cbad2ae3fce7d5" ], "condition": "OR" }
靶点,condition默认为OR,支持AND。
condition
stringOR
逻辑运算符,枚举值:AND、OR, 大小写敏感。
value
array[ "9786d32e3d244a688ec6a60d2fe1b10b" ]
值列表
disease
object{ "value": [ "f319fa27684c4cdeb6ce59d897217718" ], "condition": "OR" }
适应症,condition默认为OR,支持AND。
condition
stringOR
逻辑运算符,枚举值:AND、OR, 大小写敏感。
value
array[ "62eaee6d9ee44410b8aca59dfc7408e9" ]
值列表
organization
object{ "value": [ "55317f856f0d78124a6845222345ba8e" ], "condition": "OR" }
机构,condition默认为OR,不支持AND。
condition
stringOR
逻辑运算符,枚举值:AND、OR, 大小写敏感。
value
array[ "6a8c172f1efc649035845f94c31a9c1e" ]
值列表
drug_type
object{ "value": [ "1151dbc710f64a85923dc05d4a5a0ba9" ], "condition": "OR" }
药物类型,condition默认为OR,不支持AND。
condition
stringOR
逻辑运算符,枚举值:AND、OR, 大小写敏感。
value
array[ "c38eb408d6b842f487d6a27484156633" ]
值列表
author
array[ "Hutchins, Beth" ]
作者
publication_year
object{ "to": 2021, "from": 2019 }
开始日期,引用"PaperSearchPublicationYearLongRangeItem"
from
integer<int64>2019
范围起始
to
integer<int64>2021
范围截止
sort
array[ { "sort_field": "score", "sort_order": "desc" } ]
排序字段,枚举值:score、PUBLICATION_DATE。默认相关度倒序。引用"PaperSearchSortDto"
sort_field
stringscore
排序字段,枚举值:score、PUBLICATION_DATE
sort_order
stringdesc
排序方式,支持:desc,asc

响应结构

API 响应数据的结构说明

字段名类型示例描述
data
object-
响应数据
items
arrayPlease check the form:PaperDetailDto
查询结果
paper_id
string0b20bcfa-6399-30bf-ab29-6a0fafbbe3bd
文献ID
paper_title
array[ { "lang": "EN", "title": "Adding PD-1/PD-L1 Inhibitors to Chemotherapy for the First-Line Treatment of Extensive Stage Small Cell Lung Cancer (SCLC): A Meta-Analysis of Randomized Trials" } ]
文献标题
lang
stringEN
文献标题语言
title
stringAdding PD-1/PD-L1 Inhibitors to Chemotherapy for the First-Line Treatment of Extensive Stage Small Cell Lung Cancer (SCLC): A Meta-Analysis of Randomized Trials
文献标题
limit
integer<int64>10
返回条数
total
integer<int64>10
总量
offset
integer<int64>-
偏移量
status
必填
booleanfalse
状态
error_msg
stringThe request parameter format is incorrect!
错误信息
error_code
必填
integer0
错误代码

成功响应示例

成功调用 API 的响应示例

JSON
{
  "data": {
    "items": [
      {
        "paper_id": "0b20bcfa-6399-30bf-ab29-6a0fafbbe3bd",
        "paper_title": [
          {
            "lang": "EN",
            "title": "Adding PD-1/PD-L1 Inhibitors to Chemotherapy for the First-Line Treatment of Extensive Stage Small Cell Lung Cancer (SCLC): A Meta-Analysis of Randomized Trials"
          }
        ]
      }
    ],
    "limit": 10,
    "total": 10,
    "offset": 0
  },
  "status": true,
  "error_code": 0
}

错误码

此接口可能返回的错误码列表

业务错误码

错误码描述
68300004请求参数异常!
68300005查询Api失败!
68300006解析基本存取错误!
68300007存在错误的请求!
68300008服务中断异常,请稍后再试!
68300010文件不符合上传规范!

平台错误码

错误码描述
67200000API整体限流错误!
67200001API整体限流错误!
67200002当前调用速率过快,超过当前配置限制QPS!
67200003申请token的key和secret传参不正确或者客户端已被禁用!
67200004请求的接口无权限请联系我们的支持人员!
67200005账户余额/调用次数不足!
67200006客户端超过开通有效期!
67200007当前调用超过当天配置使用额度!
67200008请检查query参数中必填的apikey是否传输!
67200009apikey与所传的bearerToken不匹配,请检查是否使用在有效期内的token!
67200012请求不合法!
67200100当前服务器状态正忙,请求响应超时!
67200101当前请求的Api不存在请检查请求Path!

HTTP 状态码

状态码描述
0请求成功
201Created
401Unauthorized
403Forbidden
404Not Found

性能指标

此接口的预期性能特征

正常响应时间

5000 ms

最大响应时间

10000 ms